﻿

/*:ja
 *@plugindesc 暗転制御
 *@author うるふ
 *
 *@param Unknown Date
 *@desc 暗転
 *default 不明
 *
 *@help
 *
 *プラグインコマンド:
 *  ChangeScreen black;	#黒に暗転６０フレーム
 *  ChangeScreen nomal;	#通常に暗転６０フレーム
 *  ChangeScreen white;	#白に暗転６０フレーム
 *  ChangeScreen custom 30 60 90 80;#例：赤30,緑60,青90の色にウェイト80で転換
 *
 *
 *
 *
 */


(function(){
	var _Game_Interpreter_pluginCommand = Game_Interpreter.prototype.pluginCommand;

	Game_Interpreter.prototype.pluginCommand = function(command,args){
		_Game_Interpreter_pluginCommand.call(this,command,args);

		if(command === 'ChangeScreen'){

			switch (args[0]){
			case 'black':
				$gameSystem.blackChangeScreen();
				break;
			case 'nomal':
				$gameSystem.nomalChangeScreen();
				break;
			case 'white':
				$gameSystem.whiteChangeScreen();
				break;
			case 'custom':
				$gameSystem.customChangeScreen(Number(args[1]),Number(args[2]),Number(args[3]),Number(args[4]));
				break;
			}
		}
	}

	//黒に暗転６０フレーム
	Game_System.prototype.blackChangeScreen = function(){
		$gameScreen.startTint([-255,-255,-255,0],60);
	};


	//通常にに暗転６０フレーム
	Game_System.prototype.nomalChangeScreen = function(){
		$gameScreen.startTint([0,0,0,0],60);
	};
	
	//白に暗転６０フレーム
	Game_System.prototype.whiteChangeScreen = function(){
		$gameScreen.startTint([255,255,255,0],60);
	};

	//変数指定に暗転６０フレーム
	Game_System.prototype.customChangeScreen = function(red,green,blue,wait){
		$gameScreen.startTint([red,green,blue,0],wait);
	};


		

})();